Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete channel content

Bulk-deletes content entries by id. Deleted ids are returned in data; per-item failures in errors.

DELETE/api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
channel_idstring<uuid>required
Request body
requiredapplication/json
contentDeleteChannelContentItem[]required
min items 1 · max items 20
Show properties
Array of DeleteChannelContentItem
idUUIDrequired
Responses
200

OK (partial success possible)

dataChannelContentRef[]required
Show properties
Array of ChannelContentRef
idUUIDrequired
errorsChannelContentError[]required
Show properties
Array of ChannelContentError
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v2/string/string/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08/content' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "message": "string"
    }
  ]
}